/****
*   Program Name: CLOCK.CH   
*
*   Date Created: 07/07/93          
*   Time Created: 00:43:57
*        Author : Michael Abadjiev
*       Language: Clipper 5.20b    
*       Purpose : Clock command interface.
*/


// The Clock Array

#define CLOCK_ARRAY            12
#define CLOCK_ROW              1
#define CLOCK_COL              2
#define CLOCK_CLR              3
#define CLOCK_CLRBYTE          4
#define CLOCK_MSG              5
#define CLOCK_EXIST            6
#define CLOCK_BLANK            7
#define CLOCK_TIMER            8
#define CLOCK_WIN              9
#define CLOCK_SETKEY           10
#define CLOCK_ROLL             11
#define CLOCK_ROLL_STRING      12


// The Clock Pre-proccess Commands

// clock commands ... dbase IV compatibliity
#xcommand SET CLOCK <var: ON,OFF,&> ;
=> ClockStart(upper(<(var)>) == "ON")

#xcommand SET CLOCK [AT <row>, <col>] [COLOR <color>] [WAIT MESSAGE <bmsg>] ;
=> ClockSetup( <color>, <row>, <col>, <{bmsg}> )

#xcommand SET WAIT TIME [<var>] ;
=> ClkSetTime(<var>)

#xcommand SET KEYS <var: ON,OFF,&> ;
=> ClkSetKeys(upper(<(var)>) == "ON")

#xcommand SET ROLLING <var: ON,OFF,&> ;
=> ClockRolling(upper(<(var)>) == "ON")

**** EOF clock.ch
