/****
*   Program Name: DEMO.PRG   
*
*   Date Created: 04/22/93          
*   Time Created: 15:32:38
*   Author      : Michael Abadjiev
*   Language    : Clipper 5.0    
*   Compile     : clipper DEMO.PRG /n /w 
*
*/

#include "inkey.ch"
#include "box.ch"
#include "windows.ch"


FUNCTION Main()

    LOCAL cScr := savescreen(0,0,maxrow(),maxcol()), nKey, nCursor:=setcursor(0)

    WHILE nextkey() <> K_ESC
        nKey := Credits(3)
        IF nKey == K_ESC
            exit
        ENDIF
    END

    restscreen(0,0,maxrow(),maxcol(),cScr)
    setcursor(nCursor)
    setmode(25)

RETURN nil



STATIC FUNCTION Credits(nTime)

    LOCAL nWinLenght, cClr := "W/B", nKey

    STATIC oCredits, o, aClr := {"BLUE","RED","WHITE","GREEN"}, j := 1

    nTime := IF(valtype(nTime) <> "N",2,nTime)

    IF oCredits == nil
        define window oCredits  ;
        from 10, 12 to 18, 67   ;
        color "N+/B"            ;
        shadow explode          ;
        border B_SINGLE
    ENDIF

    WallPaper(aClr[j])
    j := IF(j==len(aClr),1,j+1)
    activate window oCredits                             
    o := GetWindow(oCredits)
    nWinLenght := o[WIN_R] - o[WIN_L] - 1
    @ 11, 13 say  padc("Wallpaper DEMO",nWinLenght) color "*GR+/B"
    @ 12, 12 say  "" + replicate("",nWinLenght) + "" color "N+/B"
    @ 13, 13 say  padc("Written by: Michael Abadjiev",nWinLenght) color cClr
    @ 14, 13 say  padc("            CIS: 71563,3312 ",nWinLenght) color cClr
    @ 15, 12 say  "" + replicate("",nWinLenght) + "" color "N+/B"
    @ 16, 13 say  padc("Toronto, Canada (c) 1993",nWinLenght) color "BG+/B"
    @ 18, 15 say  "Press <Esc> to quit" color "B+/B"

    nKey := ClkInkey(nTime)
    deactivate window oCredits

RETURN nKey
