/***
*	GetReader()
*	Standard modal read of a single GET.
*   Nantucket (c), some modifications Michael Abadjiev
*              
*  NOTE: In order to make the clock working we need to provide this function!
*/

#include "getexit.ch"

proc GetReader( get )

local cClr := setcolor()

	// read the GET if the WHEN condition is satisfied
	if ( GetPreValidate(get) )

		// activate the GET for reading
		get:SetFocus()

		while ( get:exitState == GE_NOEXIT )

			// check for initial typeout (no editable positions)
			if ( get:typeOut )
				get:exitState := GE_ENTER
			end

			// apply keystrokes until exit
           while ( get:exitState == GE_NOEXIT )
               GetApplyKey( get, ClkInkey(0) )                        
			end

			// disallow exit if the VALID condition is not satisfied
			if ( !GetPostValidate(get) )
				get:exitState := GE_NOEXIT
			end

		end

		// de-activate the GET
		get:KillFocus()

	end

return                 

